Subject: [PATCH v23 0/9] arm64: add kdump support

From: [email-masked] (AKASHI Takahiro)
Date: Thu, 4 Aug 2016 14:20:49 +0900

Ruslan,

On Fri, Jul 29, 2016 at 07:26:03PM +0300, Ruslan Bilovol wrote:
> Hi,
> 
> On Tue, Jul 26, 2016 at 11:09 AM, AKASHI Takahiro
> <[email-masked]> wrote:
> > On Tue, Jul 26, 2016 at 04:56:51PM +0900, AKASHI Takahiro wrote:
> >> This patch series adds kdump support on arm64.
> >>
> >> To load a crash-dump kernel to the systems, a series of patches to
> >> kexec-tools, which have not yet been merged upstream, are needed.
> >> Please pick Geoff's kexec patches [1] and my kdump patches [2].
> >>
> >> To examine vmcore (/proc/vmcore) on a crash-dump kernel, you can use
> >>   - crash utility (coming v7.1.6 or later) [3]
> >>     (Necessary patches have already been queued in the master.)
> >>
> >> [1]  http://lists.infradead.org/pipermail/kexec/2016-July/016532.html
> >> [2]  TBD
> >
> > See my kexec-tools patches in:
> > http://lists.infradead.org/pipermail/kexec/2016-July/016642.html
> 
> I tired this patch series with mentioned Geoff's kexec patches and
> your kdump patches, but unfortunately it doesn't work for me.
> 
> While I can successfully load and kexec the kernel ('kexec --load' +
> 'kexec -e'), same combination of kernel+ramdisk+dtb doesn't boot
> if I do kdump combination ('kexec -p' + sysrq crash), there is no
> any output after sysrq crash trace.
> Unfortunately I don't have any debugger here for deep investigation
> of this issue.

- Can you try to do kdump without ramdisk?
- Show me
    - kernel boot log, particularly, "Virtual kernel memory layout:"
    - cat /proc/iomem
    - log from kexec command

> Also for some reason in case of 'load and kexec the kernel' it
> takes 1-2 minutes to start booting after I do kexec -e, need to
> investigate it further.
> 
> Which hardware do you use for validating your patches?

I always test my patches on ARM fast model.

Thanks,
-Takahiro AKASHI

> Also, could you please share exact commands you use for
> kdump validation?
>
> Best regaerds,
> Ruslan